before_script:
  - mkdir -p ~/.ssh
  - echo "$SSH_PRIVATE_KEY" | tr -d '\r' > ~/.ssh/id_rsa
  - chmod 600 ~/.ssh/id_rsa
  - ssh-keyscan -H 'labs.matiasbontempo.com' >> ~/.ssh/known_hosts

stages:
  - deploy

deploy:
  stage: deploy
  image: node:latest
  only:
    - master
  environment:
    name: review/website-dev
    url: http://pyro.labs.matiasbontempo.com
  script:
    - ssh dokku@labs.matiasbontempo.com apps:create pyro 2> /dev/null || echo "App already exists"
    - ssh dokku@labs.matiasbontempo.com letsencrypt pyro
    - git push dokku@labs.matiasbontempo.com:pyro HEAD:refs/heads/master --force